curl --request POST \
--url https://lazyapp.in/v1/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"type": "call_permission_request",
"body": "<string>",
"phone_number_id": "<string>",
"connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sdp_offer": "<string>",
"biz_opaque_callback_data": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/calls"
payload = {
"to": "<string>",
"type": "call_permission_request",
"body": "<string>",
"phone_number_id": "<string>",
"connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sdp_offer": "<string>",
"biz_opaque_callback_data": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
type: 'call_permission_request',
body: JSON.stringify('<string>'),
phone_number_id: '<string>',
connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sdp_offer: '<string>',
biz_opaque_callback_data: '<string>'
})
};
fetch('https://lazyapp.in/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'to' => '<string>',
'type' => 'call_permission_request',
'body' => '<string>',
'phone_number_id' => '<string>',
'connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sdp_offer' => '<string>',
'biz_opaque_callback_data' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/calls"
payload := strings.NewReader("{\n \"to\": \"<string>\",\n \"type\": \"call_permission_request\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sdp_offer\": \"<string>\",\n \"biz_opaque_callback_data\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/calls")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"to\": \"<string>\",\n \"type\": \"call_permission_request\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sdp_offer\": \"<string>\",\n \"biz_opaque_callback_data\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"to\": \"<string>\",\n \"type\": \"call_permission_request\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sdp_offer\": \"<string>\",\n \"biz_opaque_callback_data\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"kind": "call_permission_request",
"message": {
"uuid": "<string>",
"provider_message_id": "<string>",
"status": "<string>"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Start a call or ask permission to call
Two kinds of request.
type: call_permission_request (the default) sends the WhatsApp prompt asking the person whether you may call them. Their answer arrives as the call.permission_request webhook.
type: business_initiated places a call. Send the SDP offer your WebRTC client built in sdp_offer; Meta’s SDP answer arrives on the calls webhook and shows as session on GET /v1/calls/{call}. Without the person’s permission the response is 422 with code call_permission_missing.
Requires calling: true on the connection, otherwise 422 with code capability_unavailable.
Required scope: messages:send
curl --request POST \
--url https://lazyapp.in/v1/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"type": "call_permission_request",
"body": "<string>",
"phone_number_id": "<string>",
"connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sdp_offer": "<string>",
"biz_opaque_callback_data": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/calls"
payload = {
"to": "<string>",
"type": "call_permission_request",
"body": "<string>",
"phone_number_id": "<string>",
"connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sdp_offer": "<string>",
"biz_opaque_callback_data": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
type: 'call_permission_request',
body: JSON.stringify('<string>'),
phone_number_id: '<string>',
connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sdp_offer: '<string>',
biz_opaque_callback_data: '<string>'
})
};
fetch('https://lazyapp.in/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'to' => '<string>',
'type' => 'call_permission_request',
'body' => '<string>',
'phone_number_id' => '<string>',
'connection_uuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sdp_offer' => '<string>',
'biz_opaque_callback_data' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/calls"
payload := strings.NewReader("{\n \"to\": \"<string>\",\n \"type\": \"call_permission_request\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sdp_offer\": \"<string>\",\n \"biz_opaque_callback_data\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/calls")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"to\": \"<string>\",\n \"type\": \"call_permission_request\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sdp_offer\": \"<string>\",\n \"biz_opaque_callback_data\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"to\": \"<string>\",\n \"type\": \"call_permission_request\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"connection_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sdp_offer\": \"<string>\",\n \"biz_opaque_callback_data\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"kind": "call_permission_request",
"message": {
"uuid": "<string>",
"provider_message_id": "<string>",
"status": "<string>"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Headers
Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.
255Body
E.164 phone number.
32call_permission_request, business_initiated 102464Required for business_initiated. RFC 8866 SDP offer: Opus 48 kHz, ptime 20, one audio SSRC.
20000Your own tracking data, echoed on call webhooks.
512Ask Meta to record or transcribe this call. Both people hear a short notice built from purpose first.
Show child attributes
Show child attributes
Ask Meta to record or transcribe this call. Both people hear a short notice built from purpose first.
Show child attributes
Show child attributes